Mac OS X : Java for Mac OS X 10.6 Update 3

High Nessus Plugin ID 50073


The remote host has a version of Java that is affected by multiple vulnerabilities.


The remote Mac OS X host is running a version of Java for Mac OS X 10.6 that is missing Update 3.

The remote version of this software contains several security vulnerabilities, including some that may allow untrusted Java applets or applications to obtain elevated privileges and lead to execution of arbitrary code with the privileges of the current user outside the Java sandbox.


Upgrade to Java for Mac OS X 10.6 Update 3 or later.

See Also

Plugin Details

Severity: High

ID: 50073

File Name: macosx_java_10_6_update3.nasl

Version: 1.10

Type: local

Agent: macosx

Published: 2010/10/20

Modified: 2017/05/30

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

Required KB Items: Host/MacOSX/packages

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/10/20

Vulnerability Publication Date: 2009/11/04

Reference Information

CVE: CVE-2009-3555, CVE-2010-1321, CVE-2010-1826, CVE-2010-1827

BID: 36935, 40235, 44277, 44279

OSVDB: 64744, 69032, 69060, 69061

CWE: 310